create or replace
TRIGGER EMPCOMPOUND
  FOR UPDATE OF sal ON emp
    COMPOUND TRIGGER
  -- Global Declaration Section
   ctrvar number := 0;
  BEFORE STATEMENT IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT Before Statement value is ' || ctrvar);
    END BEFORE STATEMENT;
  BEFORE EACH ROW IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT Before Row value is ' || ctrvar);
    END BEFORE EACH ROW;
  AFTER EACH ROW IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT After Row value is ' || ctrvar);
    END AFTER EACH ROW;
  AFTER STATEMENT IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT After Statement value is ' || ctrvar);
    END AFTER STATEMENT;
END EMPCOMPOUND;
/
